# Generated by Django 4.2 on 2023-04-20 18:35

import tinymce.models
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="NewsMessage",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=1024)),
                ("content", tinymce.models.HTMLField()),
                (
                    "target",
                    models.IntegerField(
                        choices=[(0, "Iedereen"), (1, "Leden"), (2, "Actief")],
                        default=0,
                    ),
                ),
                (
                    "priority",
                    models.IntegerField(
                        choices=[(2, "Hoog"), (1, "Normaal"), (0, "Laag")], default=2
                    ),
                ),
                ("start", models.DateTimeField()),
                ("end", models.DateTimeField()),
            ],
        ),
        migrations.AddConstraint(
            model_name="newsmessage",
            constraint=models.CheckConstraint(
                check=models.Q(("start__lte", models.F("end"))), name="start_before_end"
            ),
        ),
    ]
